### Class

# Adw ShortcutsSection

since: 1.8

#### Description [src]

    final class Adw.ShortcutsSection : GObject.Object
      implements Gio.ListModel, Gtk.Buildable {
      /* No available fields */
    }

An object representing a section in `AdwShortcutsDialog`.

It contains `AdwShortcutsItem` objects, use `adw_shortcuts_section_add()` to add them.

`AdwShortcutsSection` implements the `GListModel` interface and allows to access the added shortcut items through it.

## `AdwShortcutsSection` as `GtkBuildable`

`AdwShortcutsSection` allows adding `AdwShortcutsItem` objects as children.

Available since: 1.8

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel
- GtkBuildable

#### Constructors

###### adw_shortcuts_section_new

Creates a new `AdwShortcutsSection` with `title` as its title if provided.

since: 1.8

#### Instance methods

###### adw_shortcuts_section_add

Adds `item` to `self`.

since: 1.8

###### adw_shortcuts_section_get_title

Gets the title of `self`.

since: 1.8

###### adw_shortcuts_section_set_title

Sets the title of `self`.

since: 1.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

##### Methods inherited from GtkBuildable (1)

###### gtk_buildable_get_buildable_id

Gets the ID of the `buildable` object.

#### Properties

###### Adw.ShortcutsSection:title

The title of the section, can be `NULL`.

since: 1.8

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct AdwShortcutsSectionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.